Package org.apache.calcite.avatica.remote

# Interface HostnameVerificationConfigurable

@Deprecated public interface HostnameVerificationConfigurable
Deprecated.
An interface to decorate an `AvaticaHttpClient` that can support configuration on SSL hostname verification.

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static enum`
`HostnameVerificationConfigurable.HostnameVerification`
Deprecated.
Describes the support hostname verification methods of `AvaticaHttpClient`.

## Method Summary

Modifier and Type
Method
Description
`void`
`setHostnameVerification(HostnameVerificationConfigurable.HostnameVerification verification)`
Deprecated.
Instructs the `AvaticaHttpClient` how to perform hostname verification for SSL connections.

## Method Details

### setHostnameVerification

void setHostnameVerification(HostnameVerificationConfigurable.HostnameVerification verification)
Deprecated.
Instructs the `AvaticaHttpClient` how to perform hostname verification for SSL connections.

Parameters:
  `verification` - The mode of hostname verification